@btn-default-padding: @btn-padding;
@btn-default-font-family: @font-secondary;
@btn-default-font-size: 100%;
@btn-default-font-weight: 500;
@btn-default-letter-spacing: 0.035em;
@btn-default-text-transform: uppercase;

@btn-default-color: @c-title;
@btn-default-color_hover: @c-title;
@btn-default-color_focus: @c-link;
@btn-default-color_active: @c-link;

@btn-default-bg: transparent;
@btn-default-bg_hover: transparent;
@btn-default-bg_focus: transparent;
@btn-default-bg_active: transparent;

@btn-default-radius: 2px;
@btn-default-border-width: 1px;
@btn-default-border-style: solid;

@btn-default-border-color: rgba(0, 0, 0, 0.25);
@btn-default-border-color_hover: rgba(0, 0, 0, 0.5);
@btn-default-border-color_focus: @c-link;
@btn-default-border-color_active: @c-link;

.btn_default {
    transition: border-color @duration @easing;
    border-radius: @btn-default-radius;
    ._mixin_btn_core(
        @btn-default-padding,
        @btn-default-font-family,
        @btn-default-font-size,
        @btn-default-font-weight,
        @btn-default-letter-spacing,
        @btn-default-text-transform
    );
    ._mixin_btn_color(
        @btn-default-color,
        @btn-default-color_hover,
        @btn-default-color_focus,
        @btn-default-color_active
    );
    ._mixin_btn_border(
        @btn-default-border-width,
        @btn-default-border-style,
        @btn-default-border-color,
        @btn-default-border-color_hover,
        @btn-default-border-color_focus,
        @btn-default-border-color_active
    );
    .btn__count {
        position: absolute;
        top:0;
        right:0;
        transform: translate(-50%,-50%);
        background-color: @c-primary;
        border-radius: 50%;
        font-size: 0.5rem;
    }
}

._invert .btn_default {
    @color: @c-title-invert;
    @color_hover: @c-title-invert;
    @color_focus: @c-link;
    @color_active: @c-link;

    @border-width: 1px;
    @border-style: solid;

    @border-color: rgba(255, 255, 255, 0.25);
    @border-color_hover: rgba(255, 255, 255, 0.5);
    @border-color_focus: @c-link;
    @border-color_active: @c-link;

    ._mixin_btn_color(
        @color,
        @color_hover,
        @color_focus,
        @color_active
    );
    ._mixin_btn_border(
        @border-width,
        @border-style,
        @border-color,
        @border-color_hover,
        @border-color_focus,
        @border-color_active
    );
}
